<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.14"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>iipsrv: URL Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(initResizable);
/* @license-end */</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="iip.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">iipsrv
   &#160;<span id="projectnumber">1.1</span>
   </div>
   <div id="projectbrief">iipsrv is an advanced high-performance feature-rich image server for web-based streamed viewing and zooming of ultra high-resolution images</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.14 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',false,false,'search.php','Search');
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classURL.html','');});
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classURL-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">URL Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Simple utility class to decode and filter URLs.  
 <a href="classURL.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="URL_8h_source.html">URL.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a5cec25066f4836f15496ab7a20dce034"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classURL.html#a5cec25066f4836f15496ab7a20dce034">URL</a> (std::string s)</td></tr>
<tr class="memdesc:a5cec25066f4836f15496ab7a20dce034"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a5cec25066f4836f15496ab7a20dce034">More...</a><br /></td></tr>
<tr class="separator:a5cec25066f4836f15496ab7a20dce034"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acafc39f0f69842c07ddd9cdda20d6e68"><td class="memItemLeft" align="right" valign="top"><a id="acafc39f0f69842c07ddd9cdda20d6e68"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classURL.html#acafc39f0f69842c07ddd9cdda20d6e68">decode</a> ()</td></tr>
<tr class="memdesc:acafc39f0f69842c07ddd9cdda20d6e68"><td class="mdescLeft">&#160;</td><td class="mdescRight">Decode and filter <a class="el" href="classURL.html" title="Simple utility class to decode and filter URLs. ">URL</a>. <br /></td></tr>
<tr class="separator:acafc39f0f69842c07ddd9cdda20d6e68"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab0e6419b81c075c1ab2feceaba3e2045"><td class="memItemLeft" align="right" valign="top"><a id="ab0e6419b81c075c1ab2feceaba3e2045"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classURL.html#ab0e6419b81c075c1ab2feceaba3e2045">escape</a> ()</td></tr>
<tr class="memdesc:ab0e6419b81c075c1ab2feceaba3e2045"><td class="mdescLeft">&#160;</td><td class="mdescRight">String escaping for JSON etc. <br /></td></tr>
<tr class="separator:ab0e6419b81c075c1ab2feceaba3e2045"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaf80f7a73527cb1f3c1c77ca74909066"><td class="memItemLeft" align="right" valign="top"><a id="aaf80f7a73527cb1f3c1c77ca74909066"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classURL.html#aaf80f7a73527cb1f3c1c77ca74909066">warning</a> ()</td></tr>
<tr class="memdesc:aaf80f7a73527cb1f3c1c77ca74909066"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return any warning message. <br /></td></tr>
<tr class="separator:aaf80f7a73527cb1f3c1c77ca74909066"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Simple utility class to decode and filter URLs. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a5cec25066f4836f15496ab7a20dce034"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5cec25066f4836f15496ab7a20dce034">&#9670;&nbsp;</a></span>URL()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">URL::URL </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>s</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Constructor. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">s</td><td>input url string </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="URL_8h_source.html">URL.h</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="classURL.html">URL</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.14 </li>
  </ul>
</div>
</body>
</html>
